none
.NET FRAMEWORK PROBLEMS 3.5 SP 1 RRS feed

  • Question

  • Using Windows XP home edition sp3 and I can not download .NET FRAMEWORK 3.5 sp1. According to the Microsoft Site it will not work with my system. Is there any way around this other than uninstalling sp3 ? I'm not even sure this will work.

    A scan of my computer also revealed that .NET FRAMEWORK 1.1 was installed incorectly, could this be a problem since 2 is suppose to be fine or at least no problem was mentioned in the scan ?

    Saturday, June 2, 2012 4:00 AM

Answers

All replies

  • I think everybody has run into this problem.  I know I have a did uninstall and reinstall 1.0, 2.0, 3.0, 3.5 a few times before getting rid of the errors.  I think there are easier wasy of fixing the problem but I'm not an expert on this.  One problem is the Net library sometimes gets installed when you load Visual Studio and other times gets loaded when you install the Net library manually.  Visual Studio will not load the Net library if it is already installed on the PC but may not work if the net library installation was done wrong or pieces are missing.

    One thing you may try is to go to the windows Updates and make sure you have all the Net Library updates installed.  Also make sure you have 1.0, 2.0, and 3.0 installed and updated in your computer before installing 3.5.


    jdweng

    Saturday, June 2, 2012 6:33 AM
  • First, .NET Framework 3.5 SP1 IS supported on Windows XP SP2/3, so that's not your problem.

    You don't mention exactly which download you tried to install, but there is a cumulative, intelligent, installer available that will apply all needed updates to .NET Framework 2.0/3.0/3.5 through 3.5 SP1.

    Please use this verification tool to determine if .NET 2.0 is correctly installed on your system:

    http://blogs.msdn.com/b/astebner/archive/2008/10/13/8999004.aspx

    Run the tool with .NET 2.0 selected, then post the first 15 lines and last 15 lines of tool output here.

    If 2.0 is OK (check the test app result in the last few lines of the output), go ahead and use this installer:

    http://download.microsoft.com/download/2/0/e/20e90413-712f-438c-988e-fdaa79a8ac3d/dotnetfx35.exe

    If the install fails, provide complete logs as follows:

    Please collect your install logs with this:

    http://www.microsoft.com/downloads/details.aspx?FamilyID=E0DA314F-6216-4A18-BC6B-7D29CF83AF20&displaylang=e&displaylang=en

    After you run Collect.exe, you'll find vslogs.cab in your %temp% directory. Please upload vslogs.cab to a public site, like SkyDrive, and post the link here.

    Saturday, June 2, 2012 1:11 PM
  • Hi E.Clarke,

    Welcome to the MSDN forum.

    MVP is on the right way that .NET 3.5 SP1 was supported by your OS. 

    So now that please show us what type of error did you get. If the words "According to the Microsoft Site it will not work with my system." means that you've got a error message like that, please show us that error detail. Maybe a screenshot can describe it better.

    Also, please use the verification tool to verify .NET installation on your OS. That would show us more infor of your system status.

    If you've tried to install .NET 3.5 and failed, show us the installation logs with the "collect" tool MVP mentioned.

    Thanks, 


    Barry Wang [MSFT]
    MSDN Community Support | Feedback to us

    Monday, June 4, 2012 6:22 AM
    Moderator
  • Hi E.Clarke,

    How is your issue now?

    Does MVP's suggestion help you?

    I'm doing a follow up here.

    Thanks,


    Barry Wang [MSFT]
    MSDN Community Support | Feedback to us

    Wednesday, June 13, 2012 8:26 AM
    Moderator